# Cookie Class Reference
[HTTP related utilities]

Inheritance diagram for Cookie:
[legend]

List of all members.

## Public Member Functions

| __construct ($name)
| getName ()
| setValue ($value)
| getValue ()
| setMaxAge ($expire)
| getMaxAge ()
| setPath ($path)
| getPath ()
| setDomain ($domain)
| getDomain ()
| setSecure ($secure=true)
| getSecure ()
| setHttpOnly ($httpOnly=true)
| getHttpOnly ()
| httpSet ()

## Static Public Member Functions

static | create ($name)

## Private Attributes

| $name = null
| $value = null
| $expire = 0
| $path = null
| $domain = null
| $secure = false
| $httpOnly = false

## Detailed Description

Definition at line 16 of file Cookie.class.php.

## Constructor & Destructor Documentation

Cookie::__construct | ( | $ | name | ) |

Definition at line 34 of file Cookie.class.php.

References $name.

## Member Function Documentation

static Cookie::create | ( | $ | name | ) | `[static]`

Returns:
  Cookie

Definition at line 29 of file Cookie.class.php.

References $name.

Cookie::getDomain | ( |  | ) |

Definition at line 93 of file Cookie.class.php.

Referenced by httpSet().

Cookie::getHttpOnly | ( |  | ) |

Definition at line 117 of file Cookie.class.php.

Referenced by httpSet().

Cookie::getMaxAge | ( |  | ) |

Definition at line 65 of file Cookie.class.php.

Referenced by httpSet().

Cookie::getName | ( |  | ) |

Definition at line 39 of file Cookie.class.php.

Referenced by httpSet().

Cookie::getPath | ( |  | ) |

Definition at line 79 of file Cookie.class.php.

Referenced by httpSet().

Cookie::getSecure | ( |  | ) |

Definition at line 105 of file Cookie.class.php.

Referenced by httpSet().

Cookie::getValue | ( |  | ) |

Definition at line 51 of file Cookie.class.php.

Referenced by httpSet().

Cookie::httpSet | ( |  | ) |

Definition at line 122 of file Cookie.class.php.

References getDomain(), getHttpOnly(), getMaxAge(), getName(), getPath(), getSecure(), and getValue().

Here is the call graph for this function:

Cookie::setDomain | ( | $ | domain | ) |

Definition at line 84 of file Cookie.class.php.

References $domain, and Assert::isString().

Here is the call graph for this function:

Cookie::setHttpOnly | ( | $ | httpOnly = `true` | ) |

Definition at line 110 of file Cookie.class.php.

References $httpOnly.

Cookie::setMaxAge | ( | $ | expire | ) |

Definition at line 56 of file Cookie.class.php.

References $expire, and Assert::isInteger().

Here is the call graph for this function:

Cookie::setPath | ( | $ | path | ) |

Definition at line 70 of file Cookie.class.php.

References $path, and Assert::isString().

Here is the call graph for this function:

Cookie::setSecure | ( | $ | secure = `true` | ) |

Definition at line 98 of file Cookie.class.php.

References $secure.

Cookie::setValue | ( | $ | value | ) |

Definition at line 44 of file Cookie.class.php.

References $value.

## Member Data Documentation

Cookie::$domain = null`[private]`

Definition at line 22 of file Cookie.class.php.

Referenced by setDomain().

Cookie::$expire = 0`[private]`

Definition at line 20 of file Cookie.class.php.

Referenced by setMaxAge().

Cookie::$httpOnly = false`[private]`

Definition at line 24 of file Cookie.class.php.

Referenced by setHttpOnly().

Cookie::$name = null`[private]`

Definition at line 18 of file Cookie.class.php.

Referenced by __construct(), and create().

Cookie::$path = null`[private]`

Definition at line 21 of file Cookie.class.php.

Referenced by setPath().

Cookie::$secure = false`[private]`

Definition at line 23 of file Cookie.class.php.

Referenced by setSecure().

Cookie::$value = null`[private]`

Definition at line 19 of file Cookie.class.php.

Referenced by setValue().

The documentation for this class was generated from the following file:

- main/Net/Http/Cookie.class.php